%global _unitdir /lib/systemd/system/

Name:		ser2net
Summary: 	Proxy that allows tcp connections to serial ports
Version:	2.7
Release:	3%{?dist}
License:	GPLv2+
Group:		Applications/System
Source0:	http://download.sourceforge.net/ser2net/%{name}-%{version}.tar.gz
Source1:	%{name}.service
URL:		http://ser2net.sourceforge.net/
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
ser2net provides a way for a user to connect from a network connection to a 
serial port. It provides all the serial port setup, a configuration file to 
configure the ports, a control login for modifying port parameters, 
monitoring ports, and controlling ports.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_sysconfdir}
install -m0644 ser2net.conf %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
install %{SOURCE1} %{buildroot}%{_unitdir}

%post
if [ $1 -eq 2 ]; then
        # Package upgrade
        if [ -f %{_initddir}/ser2net ] ; then
	   if /sbin/chkconfig ser2net; then
              /bin/systemctl enable ser2net.service >/dev/null 2>&1 || :
           fi
        fi
fi
/bin/systemctl daemon-reload >/dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ]; then
	# Package removal, not upgrade
	/bin/systemctl disable ser2net.service > /dev/null 2>&1 || :
	/bin/systemctl stop ser2net.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ]; then
	# Package upgrade, not uninstall
	/bin/systemctl try-restart ser2net.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}*

%changelog
* Wed Feb 09 2011 Tom Callaway <tcallawa@redhat.com> - 2.7-3
- systemd enablement
- rawhide spec cleanup

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.7-1
- Update to 2.7

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.6-1
- update to 2.6

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.5-1
- update to 2.5
- fix initscript to not be on by default
- add try-restart

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.4-2.1
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4-2
- rebuild for BuildID

* Thu Aug  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4-1
- bump to 2.4

* Wed Oct 18 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-3
- fix typo

* Wed Oct  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-2
- fix initscript handling

* Fri Jul 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-1
- Initial package for Fedora Extras
